#Dockerfile con multi stage
FROM openjdk:17-jdk-alpine as builder
#FROM openjdk:17.0.2

WORKDIR /app/msvc-cursos

# copia archivo pom.xml en la carpeta app.
COPY ./pom.xml /app
COPY ./msvc-cursos/.mvn ./.mvn
COPY ./msvc-cursos/mvnw .
COPY ./msvc-cursos/pom.xml .

#RUN ./mvnw clean package -Dmaven.test.skip -Dmaven.main.skip -Dspring-boot.repackage.skip && rm -r ./target/
RUN ./mvnw dependency:go-offline

COPY ./msvc-cursos/src ./src

RUN ./mvnw clean package -DskipTests


FROM openjdk:17-jdk-alpine

WORKDIR /app
RUN mkdir ./logs
COPY --from=builder /app/msvc-cursos/target/msvc-cursos-0.0.1-SNAPSHOT.jar .

EXPOSE 8002
#CMD sleep 20 & java -jar msvc-cursos-0.0.1-SNAPSHOT.jar
CMD ["java", "-jar", "msvc-cursos-0.0.1-SNAPSHOT.jar"]